CovMerge (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.sitraka.CovMerge class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sitraka
Class CovMerge

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.sitraka.CovMerge

public class CovMerge
extends Task

Runs the snapshot merge utility for JProbe Coverage.

Author:
  Stephane Bailliez

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CovMerge()`

Method Summary
`void` | `addFileset(FileSet fs)` add a fileset containing the snapshots to include.
`protected void` | `checkOptions()` check for mandatory options
`protected java.io.File` | `createParamFile()` create the parameters file that contains all file to merge and the output filename.
`protected java.io.File` | `createTmpFile()` create a temporary file in the current dir (For JDK1.1 support)
`void` | `execute()` execute the jpcovmerge by providing a parameter file
`protected java.io.File[]` | `getSnapshots()` get the snapshots from the filesets
`void` | `setHome(java.io.File value)` The directory where JProbe is installed.
`void` | `setTofile(java.io.File value)` Set the output snapshot file.
`void` | `setVerbose(boolean flag)` If true, perform the merge in verbose mode giving details about the snapshot processing.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CovMerge

    public CovMerge()

Method Detail

### setHome

    public void setHome(java.io.File value)

  The directory where JProbe is installed.

### setTofile

    public void setTofile(java.io.File value)

  Set the output snapshot file.

### setVerbose

    public void setVerbose(boolean flag)

  If true, perform the merge in verbose mode giving details about the snapshot processing.

### addFileset

    public void addFileset(FileSet fs)

  add a fileset containing the snapshots to include.

### execute

    public void execute()
                 throws BuildException

  execute the jpcovmerge by providing a parameter file

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### checkOptions

    protected void checkOptions()
                         throws BuildException

  check for mandatory options

  Throws:
    `BuildException`

### getSnapshots

    protected java.io.File[] getSnapshots()

  get the snapshots from the filesets

### createParamFile

    protected java.io.File createParamFile()
                                    throws BuildException

  create the parameters file that contains all file to merge and the output filename.

  Throws:
    `BuildException`

### createTmpFile

    protected java.io.File createTmpFile()

  create a temporary file in the current dir (For JDK1.1 support)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.